/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Aula;

/**
 *
 * @author fcelestino
 */
public interface AulaDAO {
    public ArrayList<Aula> listaAulas(String codigoLocal, int inicio, int cantidad) throws Exception;
    public ArrayList<Aula> listaAulas(int inicio, int cantidad) throws Exception;
    public ArrayList<Aula> listaAulas() throws Exception;
    public ArrayList<Aula> listaAulasDirage(String codigoLocal) throws Exception;
    public ArrayList<Aula> listaAulasDirage() throws Exception;
    public int registrarAula(String codSede,String codTipoCentro,String codCentro,String codNivel,String codTipoGrado,String codGrado,String codSeccion,String codTurno,String nombreAula) throws Exception;
    public int consultarAula(String codSede,String codTipoCentro,String codCentro,String codNivel,String codTipoGrado,String codGrado,String codSeccion,String codTurno) throws Exception;
    public int consultarAulaConNombre(String codSede,String codTipoCentro,String codCentro,String codNivel,String codTipoGrado,String codGrado,String codSeccion,String codTurno,String nombre) throws Exception;
    public String consultarAula(String codigoAula) throws Exception;
    public String consultarAulaSede(String codigoAula) throws Exception;
		public String nombreCortoAula(String codigoAula)throws Exception;
		
    public Aula getAula(String codigoAula) throws Exception;
    public ArrayList<Aula> listaAulasEncuestadas(String codigoSede, String codigoEncuesta) throws Exception;
    public String cantidadUsuariosAula() throws Exception;
    public void crearUsuarioEncuestador(String codigoSede,String codigoAula, String nombreUsuario,String usuario, String clave,String cantidad) throws Exception;
    public int cantlistarAulasBloque(String codSede,String codTipoCentro,String codCentro,String codNivel,String codTipoGrado,String codGrado,String codSeccion,String codTurno) throws Exception;
    public ArrayList<Aula> listarAulasBloque(String codSede,String codTipoCentro,String codCentro,String codNivel,String codTipoGrado,String codGrado,String codSeccion,String codTurno) throws Exception;
    public ArrayList<Aula> listarAulasBloque(String codSede,String codTipoCentro,String codCentro,String codNivel,String codTipoGrado,String codGrado,String codSeccion,String codTurno, int inicio, int cantidad) throws Exception;
    public ArrayList<Aula> listarAulasHorario(String codSede,String codTipoCentro,String codCentro,String codNivel,String codTipoGrado,String codGrado,String codSeccion,String codTurno,int inicio, int cantidad) throws Exception;
    public ArrayList<Aula> listarAulasHorario(String codSede,String codTipoCentro,String codCentro,String codNivel,String codTipoGrado,String codGrado,String codSeccion,String codTurno) throws Exception;
    public ArrayList<Aula> listarAulasHorario(String codSede,String codTipoCentro,String codCentro,String codNivel,String codTipoGrado,String codGrado,String codSeccion,String codTurno,String periodo) throws Exception;
    public int cantlistarAulasHorario(String codSede, String codTipoCentro, String codCentro, String codNivel, String codTipoGrado, String codGrado, String codSeccion, String codTurno) throws Exception;
    public ArrayList<Aula> reporteAulasHorario(String codSede) throws Exception;
    public ArrayList<Aula> reporteAulasHorario(String codSede, String codAula) throws Exception;
    public ArrayList<Aula> reporteAulasHorarioPeriodo(String codSede, String periodo) throws Exception;
    public int cantidadreporteAulasHorario(String codSede) throws Exception;
    public int cantidadreporteAulasHorario(String codSede, String periodo) throws Exception;
    public ArrayList<Aula> reporteAulasHorario(String codSede, int pagina, int cantidad) throws Exception;
    public ArrayList<Aula> reporteAulasHorarioPeriodo(String codSede, String periodo, int pagina, int cantidad) throws Exception;
    
    public ArrayList<Aula> listaAulasDirage(String codigoLocal,int inicio, int cantitad) throws Exception;
    public ArrayList<Aula> listaAulasDirage(int inicio, int cantitad) throws Exception;
    
    public int CantlistaAulasDirageSede(String codigoLocal) throws Exception;
   
    public int CantlistaAulasDirageSede() throws Exception;
    public int CantlistaAulas(String codigoLocal) throws Exception;
    public int CantlistaAulas() throws Exception;
    
    public ArrayList<Aula> listarAula(String aulas, String periodo) throws Exception;
    public ArrayList<Aula> listarDatosHorairo(String codSede, String periodo) throws Exception;
    public ArrayList<Aula> listarDatosHorairo(String periodo) throws Exception;
    public ArrayList<Aula> listarDatosHorairo2do(String periodo,String parte) throws Exception;
    
    public ArrayList<Aula> listadoAulas(String codigoSede, String codigoPeriodoAcademico) throws Exception;
		
		public int actualizarNombreAula(String codAula,String nomAula)throws Exception;
		public int actualizarNombreGrado(String codAula,String nomGrado)throws Exception;
		public int actualizarNombreSeccion(String codAula,String nomSeccion)throws Exception;
    
}
